# ggpmisc #

Package '**ggpmisc**' (Miscellaneous Extensions to 'ggplot2') is a set of
extensions to R package 'ggplot2' (>= 2.1.0) useful when plotting diverse types
of data.  

Functions try_data_frame() and try_tibble() can be used to convert time series
objects into data frames or tibbles suitable for plotting. To complement these
functions ggplot methods for "ts" and "xts" classes are defined.

Different statistics, geometries and functions add facilities for
labelling peaks and valleys, generating labels for fitted models including
polynomial equations, highlighting deviations from a model fit, and for
filtering-out regions of plot panels with high densities of observations 
(with stats designed to work nicely together with package 'ggrepel'). 

Another group of ggplot statistics and geometries which echo their input aim 
at easing debugging during development of new geoms and statistics (or learning 
how they work).

Please, see the web site [r4photobiology](http://www.r4photobiology.info) for
details and update notices. Other packages, aimed at easing photobiology-related
calculations including the quantification of biologically effective radiation in
meteorology are available as part of a suite described at the same website.

The current release of '__ggpmisc__' is available through [CRAN](https://cran.r-project.org/package=ggpmisc) 
for R (>= 3.2.0).

